description: >
    Witherspoon inventory fixups

events:
    - name: Remove power_supplies
      description: >
          Remove the deprecated 'power_supply' objects
      type: startup
      actions:
          - name: destroyObjects
            paths:
                - /system/chassis/power_supply0
                - /system/chassis/power_supply1
                - /system/chassis/powersupply0
                - /system/chassis/powersupply1

    - name: Remove fan1
      description: >
          Remove all fan1 associated objects and have fan presence and
          fan monitor create it based on cooling type.
      type: startup
      filters:
          - name: propertyIs
            service: xyz.openbmc_project.Inventory.Manager
            path: /system/chassis
            interface: xyz.openbmc_project.Inventory.Decorator.CoolingType
            property: WaterCooled
            value:
                value: true
                type: boolean
            dbusMember: "sdbusplus::xyz::openbmc_project::Inventory::\
                Decorator::server::CoolingType"
      actions:
          - name: destroyObjects
            paths:
                - /system/chassis/motherboard/fan1/fan1_0
                - /system/chassis/motherboard/fan1/fan1_1
                - /system/chassis/motherboard/fan1

    - name: Add Chassis interface
      description: >
          Add the chassis interface on the chassis inventory path
      type: startup
      actions:
          - name: createObjects
            objs:
                /system/chassis:
                  xyz.openbmc_project.Inventory.Item.Chassis:
                      Type:
                          value: "RackMount"
                          type: string
